@import "@/styles/variables";

.description {
    grid-column: 1 / -1;

    @include paragraph-lg;
}

.title-container {
    @include col;

    grid-column: 1 / -1;

    @include notebook {
        flex-flow: row wrap;
        gap: 0.5rem;
    }
}

.title-icon {
    display: flex;
    gap: 0.5rem;

    span {
        @include paragraph;

        color: $secondary-color;
        line-height: 1.6rem;

        &:first-of-type {
            min-width: fit-content;
        }

        &:not(:first-of-type) {
            max-width: calc(100vw - 200px);

            @include text-truncate;

            @include smallscreen {
                min-width: fit-content;
            }
        }

        &:not(:first-child)::before {
            @include dash-content;

            padding-right: 0.5rem;
        }
    }
}

.dashed-span::before {
    @include dash-content;

    padding-right: 0.5rem;
}

.detail-container {
    grid-column: 1 / -1;
    display: grid;
    grid-template-areas: "organization" "files" "services" "metadata";
    row-gap: 1rem;

    @include notebook {
        grid-template-columns: 20% auto;
        column-gap: 3rem;
        grid-template-areas: "organization files" "organization services" "organization metadata";
    }

    @include desktop {
        width: $max-inner-width;
    }
}

.detail-container-noorg {
    grid-column: 1 / -1;
    display: grid;
    grid-template-areas: "files" "services" "metadata";
    row-gap: 1rem;

    @include notebook {
        grid-template-columns: auto;
        grid-template-areas: "files" "services" "metadata";
    }

    @include desktop {
        width: $max-inner-width;
    }
}

.dataset-files {
    grid-area: files;

    h4 {
        margin-bottom: 1rem;
    }
}

.dataset-services {
    grid-area: services;
}

.metadata {
    grid-area: metadata;

    h4 {
        margin-bottom: 1rem;
    }

    a,
    p {
        @include paragraph;
    }

    &__keywords {
        display: flex;
        flex-wrap: wrap;
        gap: 0.5rem;
    }

    &__links {
        @include col;
    }

    &__link {
        max-width: calc(100vw - 100px);
        word-break: break-all;

        @include tablet {
            max-width: calc(100vw - 310px);
        }

        @include notebook {
            max-width: 39vw;
        }
    }

    &__themes {
        display: flex;
        flex-wrap: wrap;
        row-gap: 0.5rem;
    }

    &__theme {
        display: flex;
        align-items: center;
        gap: 0.5rem;

        &:not(:last-child)::after {
            content: " | ";
            padding: 0 1rem;
        }
    }

    &__temporal-line {
        display: flex;

        p:first-child::after {
            @include dash-content;

            padding: 0 0.5rem;
        }
    }
}
